/*
  Author : kolja <gava@bergamoblog.it>
  Creation : 29/11/2003
  Licence : GPL

*********************************************************************
 File		: 	$RCSfile: gs7070.h,v $
 Version	:	$Revision: 1.3.4.3 $
 Modified by	:	$Author: kolja_gava $ ($Date: 2004/04/23 13:14:49 $)
*********************************************************************
  GlobeSpan GS7070 Chipset Interface
     cantain all the information related to device 
     this interface is loaded depending on
     compile option (see ./configure --help | --with-chipset option)
=======
/*
  Author : kolja <gava@bergamoblog.it>
  Creation : 29/11/2003
  Licence : GPL

*********************************************************************
 File		: 	$RCSfile: gs7070.h,v $
 Version	:	$Revision: 1.3.4.3 $
 Modified by	:	$Author: kolja_gava $ ($Date: 2004/04/23 13:14:49 $)
*********************************************************************
  GlobeSpan GS7070 Chipset Interface
     cantain all the information related to device 
     this interface is loaded depending on
     compile option (see ./configure --help | --with-chipset option)
>>>>>>> 1.3.4.1
*/

#ifndef GS7070_H
#define GS7070_H

/*=============================================================
 *                                                        (kolja)
 *                                 COMMON DEVICE PARAMETERS 
 *                   (include also modem.h definitions - now it is deprecated)
 *============================================================*/

/* Vendor/ProdID for "ECI Telecom USB ADSL Loader" */
#define EZUSB_NAME    "EZUSB USB ADSL Loader"
#define EZUSB_VENDOR  0x0547 /* 0x0547 */
#define EZUSB_PRODUCT 0x2131 /* 0x2131 */

/* Vendor/ProdID for "ECI Telecom USB ADSL WAN Modem" */
#define GS_NAME       "GlobeSpan GS7070 USB ADSL WAN Modem"
#define GS_VENDOR     0x0915 /* 0x0915 */
#define GS_PRODUCT    0x8000 /* 0x8000 */

/* endpoint numbers */
#define EP_INT      0x86
#define EP_DATA_IN  0x88
#define EP_DATA_OUT 0x02
#define EP_DATA_IN2 0x89


/* interfaces # */
#define ALT_INTERFACE_LOAD2 4
#define ALT_INTERFACE_PPP 4

/* PPP DEFINES */
/* max size of data endpoint (Windows driver uses 448). */
#define MAX_EP_SIZE 448
/* number of simultaneous URB submitted to data endpoint (Windows drv : 20 */
#define NB_PKT_EP_DATA_IN 20
/* number of ISO packet per URB (Windows driver uses 10) */
#define PKT_NB 10
/* EP INT output buffer size */
#define EP_INT_OUT_BUF_SIZE 40
/* EP INT data start point */
#define EP_INT_DATA_START_POINT 3
/* BULK RESPONSE VALUE */
#define BULK_RESPONSE_VALUE 0xc02

/* AAL5 INPUT CELL STRUCTURE */
#define CELL_R_SIZE 53
#define CELL_R_HDR  05
#define CELL_R_DATA 48

/* AAL5 OUTPUT CELL STRUCTURE */
#define CELL_W_SIZE 53
#define CELL_W_HDR  05
#define CELL_W_DATA 48

#define PAD_SIZE 11


/*=============================================================
 *                                                        (kolja)
 *                                 SPECIFIC DEVICE PARAMETERS 
 *============================================================*/
#define CONTROLCODEBUFFERSIZE 20
/* Piucked at random, I never get more that three controlcodes in a
   row so 20, if there are 20 then somethings gone badly wrong!
*/

/*
Error Codes
*/

#define GSLINEDROP -1
/* line dropped (e.g. you unplugged the modem from the phone line) */
#define GSSYNCERROR -2
/* can happed after a lkine drop? */

typedef struct  /*GSCONTROLREG*/
{
/* nood to think of a better name for this, it's really
  the GS7070 int control maybe GSControlReg*/
	int count;
	unsigned char match[2];
	unsigned char replace[2];
} GSControlReg;/* GSControlReg;*/

/* Structure to store the information about the current state of the the S7070 */

typedef struct /* GS7070INT */
{
	/* Current control codes.
	   this should -> registers but I don't know hat they are at the moment
	*/
	unsigned short controlcodes[CONTROLCODEBUFFERSIZE];

	int controlcodecount; /* how many cuntrol codes on in the buffer */
	int controlseqcount;	
	GSControlReg* replace73; /* what sequence possition are we at (for 73's) */
	GSControlReg* replace53; /* what sequence possition are we at (for 53's) */
	/* Just incase we need information about the current connection */
	int count734D;
	int count7341;
	int sequencecount; /* not used, I have seperate counters for different sequences at the moment! */
	short vid; /* Modem vendor/product codes not in use at the moment */
	short pid;
	short vci;
	short vpi;	
	short annax;
	
} GSControlINT; /* GS7070int */
#endif
