/*
  Author : kolja <gava@bergamoblog.it>
  Creation : 29/11/2003
  Licence : GPL

*********************************************************************
 File		: 	$RCSfile: gs7470.h,v $
 Version	:	$Revision: 1.1.2.2 $
 Modified by	:	$Author: kolja_gava $ ($Date: 2004/04/23 13:14:49 $)
*********************************************************************
  GlobeSpan GS7470 Chipset Interface
     cantain all the information related to device 
     this interface is loaded depending on
     compile option (see ./configure --help | --with-chipset option)
*/

#ifndef GS7470_H
#define GS7470_H

/*=============================================================
 *                                                        (kolja)
 *                                 COMMON DEVICE PARAMETERS 
 *                   (include also modem.h definitions - now it is deprecated)
 *============================================================*/

/* Vendor/ProdID for "ECI Telecom USB ADSL Loader" */
#define EZUSB_NAME    "NOT USED"
#define EZUSB_VENDOR  0 
#define EZUSB_PRODUCT 0 

/* Vendor/ProdID for "ECI Telecom USB ADSL WAN Modem" */
#define GS_NAME       "GlobeSpan GS7470 USB ADSL WAN Modem"
#define GS_VENDOR     0x0915 /* 0x0915 */
#define GS_PRODUCT    0x8000 /* 0x8000 */

/* endpoint numbers */
#define EP_INT      0x81
#define EP_DATA_IN  0x82
#define EP_DATA_OUT 0x04
#define EP_DATA_IN2 0x83

/* interfaces # */
#define ALT_INTERFACE_LOAD2 1
#define ALT_INTERFACE_PPP 5

/* PPP DEFINES */
/* max size of data endpoint (Windows driver uses 448). */
#define MAX_EP_SIZE 240
/* number of simultaneous URB submitted to data endpoint (Windows drv : 20 */
#define NB_PKT_EP_DATA_IN 20
/* number of ISO packet per URB (Windows driver uses 10) */
#define PKT_NB 10
/* EP INT output buffer size */
#define EP_INT_OUT_BUF_SIZE 34
/* EP INT data start point */
#define EP_INT_DATA_START_POINT 2
/* BULK RESPONSE VALUE */
#define BULK_RESPONSE_VALUE 0x802

/* AAL5 INPUT CELL STRUCTURE */
#define CELL_R_SIZE 51
#define CELL_R_HDR  03
#define CELL_R_DATA 48

/* AAL5 OUTPUT CELL STRUCTURE */
#define CELL_W_SIZE 53
#define CELL_W_HDR  05
#define CELL_W_DATA 48

#define PAD_SIZE 0


/*=============================================================
 *                                                        (kolja)
 *                                 SPECIFIC DEVICE PARAMETERS 
 *============================================================*/
#define CONTROLCODEBUFFERSIZE 20

/* curent connections values */
#define CUR_CONN_UNKNOWN -1
#define CUR_CONN_F343	0
#define CUR_CONN_7341	1
#define CUR_CONN_734D	2
#define CUR_CONN_F34F   3

/*Global variable andd structure definition*/
typedef struct  /*GSCONTROLREG*/
{
	int count;
	int curRepPosition;
	int maxRepPosition;
	unsigned char* replace;
} GSControlReg;/* GSControlReg;*/

/* Structure to store the information about the current state of the the GS7470 */
typedef struct /* GSControlINT */
{
	/* Current control codes.
	   this should -> registers but I don't know hat they are at the moment
	*/
	unsigned short controlcodes[CONTROLCODEBUFFERSIZE];
	unsigned int controlcodecount; /* how many cuntrol codes on in the buffer */
	unsigned int controlseqcount;	
	GSControlReg* curReplace73; /* current 0x7311 sequence position replacement*/
	GSControlReg* curReplace53; /* current 0x5311 sequence position replacement*/
	/* Just incase we need information about the current connection */
	unsigned int currentConnection;
} GSControlINT; /* GSControlINT */

#endif
