/*
  Author : kolja <gava@bergamoblog.it>
  Creation : 29/11/2003
  Licence : GPL

*********************************************************************
 File		: 	$RCSfile: gsinterface.h,v $
 Version	:	$Revision: 1.1.2.1 $
 Modified by	:	$Author: kolja_gava $ ($Date: 2004/02/02 13:29:23 $)
*********************************************************************
  GlobeSpan Chipset Common Interface
     cantain all the information related to device 
     this interface will load infos and methods from the right chipset depending on
     compile option (see ./configure --help | --with-chipset option)
*/

#ifndef GSINTERFACE_H
#define GSINTERFACE_H

#include "config.h"

#ifndef PRODUCT_ID
#error "PRODUCT_ID must be defined"
#endif

#ifndef PRODUCT_NAME
#error "PRODUCT_NAME must be defined"
#endif

#ifndef PRODUCT_VERSION
#error "PRODUCT_VERSION must be defined"
#endif

#ifndef ETC_PATH
#error "ETC_PATH must be defined"
#endif

#ifndef ETC_DIR
#error "ETC_DIR must be defined"
#endif

#ifndef CONF_PATH
#error "CONF_PATH must be defined"
#endif

#ifndef CONF_DIR
#error "CONF_DIR must be defined"
#endif

#ifdef GS7470_CHIPSET
	#include "gs7470.h"
#else
	#include "gs7070.h"
#endif

/* structure for aal5 header decoding - kolja*/
struct aal5_header_st {
		unsigned int vpi;
		unsigned int vci;
		unsigned int pti;
};

int gsSetControl(unsigned char* buffer);
void gsGetResponse(unsigned char* buffer);
void allocateGSint(void);
void deallocateGSinit(void);
/*aal5_header_st getAal5HeaderStructure(unsigned char* aal5Header);*/
#endif
